@font-face {
    font-family: 'DIN Bold';
    src: url('../fonts/DIN-Bold.eot');
    src: url('../fonts/DIN-Bold.eot?#iefix') format('embedded-opentype'), url('../fonts/DIN-Bold.woff2') format('woff2'), url('../fonts/DIN-Bold.woff') format('woff');
    /*url('../fonts/DIN-Bold.svg#DIN-Bold') format('svg');*/
    font-weight: 700;
    font-style: normal;
    font-stretch: normal;
    unicode-range: U+0008-02DC;
}

@font-face {
    font-family: 'DIN Regular';
    src: url('../fonts/DIN-Regular.eot');
    src: url('../fonts/DIN-Regular.eot?#iefix') format('embedded-opentype'), url('../fonts/DIN-Regular.woff2') format('woff2'), url('../fonts/DIN-Regular.woff') format('woff');
    /*url('../fonts/DIN-Regular.svg#DIN-Regular') format('svg');*/
    font-weight: 400;
    font-style: normal;
    font-stretch: normal;
    unicode-range: U+0020-02DC;
}

@font-face {
    font-family: 'DIN Medium';
    src: url('../fonts/DIN-Medium.eot');
    src: url('../fonts/DIN-Medium.eot?#iefix') format('embedded-opentype'), url('../fonts/DIN-Medium.woff2') format('woff2'), url('../fonts/DIN-Medium.woff') format('woff');
    /*url('../fonts/DIN-Medium.svg#DIN-Medium') format('svg');*/
    font-weight: 400;
    font-style: normal;
    font-stretch: normal;
    unicode-range: U+0020-02DC;
}

.din-bold {
    font-family: 'DIN Bold';
}

.din-regular {
    font-family: 'DIN Regular';
}

.din-Medium {
    font-family: 'DIN Medium';
}

body {
    background-color: #e3e3e3 !important;
    font-family: 'DIN Regular';
    font-size: 14px;
    margin-bottom: 60px !important;
}

.alt-header {
    background-color: #fff;
    padding: 20px 0;
    height: 100px;
}

.header-inner {
    position: relative;
}

.company-logo,
.business-logo {
    display: table;
    width: 220px;
    position: absolute;
    z-index: 2;
    height: 50px;
}

.company-logo a,
.business-logo a {
    display: table-cell;
    vertical-align: middle;
    border: none;
    outline: none;
}

.company-logo a img,
.business-logo a img {
    max-width: 220px;
    max-height: 50px;
    border: none;
    outline: none;
}

.company-logo {
    left: 0;
    top: 0;
}

.company-logo a {
    text-align: left;
}

.business-logo {
    right: 0;
    top: 0;
}

.business-logo a {
    text-align: right;
}

.client-logo {
    position: relative;
}

.client-logo .client-logo-inner {
    display: table;
    width: 220px;
    margin: 0 auto;
    height: 50px;
}

.client-logo .client-logo-inner a {
    display: table-cell;
    vertical-align: middle;
    text-align: center;
    border: none;
    outline: none;
}

.client-logo .client-logo-inner a img {
    display: table-cell;
    vertical-align: middle;
    text-align: center;
    border: none;
    outline: none;
    max-height: 50px;
    max-width: 220px;
}

.alt-banner {
    position: relative;
    width: 100%;
    text-align: center;
    /*min-height: 325px;*/
}

.alt-banner img {
    /*width: 100%;
    height:325px;*/
    max-width: 100%;
}

.alt-banner .banner-heading {
    /*position: absolute;
	opacity:0.7;
	z-index: 2;
	*/
    position: relative;
    opacity: 1;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    font-family: 'DIN Medium';
    padding: 20px 0;
    /*background: #eee;*/
    text-align: center;
    font-size: 24px;
    line-height: 18px;
    color: #333;
    margin: 0px;
}

.alt-body {
    position: relative;
    z-index: 3;
    /*margin-top: -60px;*/
    padding: 0 50px;
}

.alt-box {
    background-color: #fff;
    box-shadow: 0px 2px 5px -1px #999;
    border-radius: 6px;
    margin-top: 20px;
}

.alt-box1 {
    background-color: #fff;
    box-shadow: 0px 2px 5px -1px #999;
    border-radius: 6px;
}

.alt-box-inner {
    padding: 28px 30px;
}

.alt-box-inner:after,
.alt-box-inner:before,
.form-group:after,
.form-group:before,
.label-row:after,
.label-row:before,
.clearfix:after,
.clearfix:before {
    content: "";
    display: table;
    clear: both;
    visibility: hidden;
}

.clearfix {
    display: block;
}

.userLoginDetails {
    width: 80%;
    float: left;
}

.userLoginDetails .form-group {
    margin-bottom: 0px;
}

.userLoginDetails label {
    text-align: right;
    font-family: 'DIN Medium';
    font-size: 14px;
}

.userLoginDetails .userLabel,
.userLoginDetails .userDetailText {
    padding-right: 3px !important;
    padding-left: 3px !important;
}

.userLoginDetails .userLabel {
    width: 11%;
    float: left;
    display: inline-block;
}

.logOut {
    display: block;
    float: right;
    outline: none;
    border: none;
    width: 26px;
    height: 28px;
    background: url('../images/logout.png') no-repeat;
    margin: 8px;
}

.QTable {
    font-family: 'DIN Medium';
    margin-bottom: 30px;
}

.Q {
    width: 30px;
    vertical-align: top;
}


/* select box ui */

.bootstrap-select .btn-default,
.bootstrap-select.open>.dropdown-toggle.btn-default {
    background: #f5f5f5;
    color: #777777;
    box-shadow: none;
    text-transform: none;
    font-family: 'DIN Regular';
    font-size: 14px;
}
.btn-expandAll {
    background: #fff;
    border: solid 1px #999;
    color: #555;
    box-shadow: none;
    text-transform: none;
    font-family: 'DIN Regular';
    font-size: 14px;
    outline: none;
}
.btn-expandAll:hover {
    background: #777;
    border: solid 1px #777;
    color: #fff;
}

.bootstrap-select .btn-default {
    border: none;
}

.form-horizontal .label-control {
    margin: 7px 0 0 30px;
}

.option-radio-inline {
    position: relative;
    display: inline-block;
    padding-left: 30px;
    margin-bottom: 0;
    font-weight: normal;
    vertical-align: middle;
    cursor: pointer;
    margin-right: 20px;
    min-width: 80px;
    margin-top: 9px;
}

.option-radio-inline .radio-style {
    width: 18px;
    height: 18px;
    display: block;
    position: absolute;
    top: 1px;
    left: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    -o-appearance: none;
    -ms-appearance: none;
    background: #ccc;
    margin: 0px !important;
    z-index: 5;
    opacity: 0;
}

.option-radio-inline input[type="radio"]:not(:checked)+span::before,
.option-radio-inline input[type="radio"]+span::before {
    content: "";
    position: absolute;
    top: 1px;
    left: 0;
    display: block;
    width: 18px;
    height: 18px;
    background: #e3e3e3;
    border-radius: 50%;
    z-index: 1;
    border: solid 1px #c3c3c3;
}

.option-radio-inline input[type="radio"]:checked+span::after {
    content: "";
    position: absolute;
    top: 5px;
    left: 4px;
    display: block;
    width: 10px;
    height: 10px;
    background: #a8407f;
    border-radius: 50%;
    z-index: 2;
}

/*
.defaultRadio {
    width: 18px;
    height: 18px;
    background: #e3e3e3;
    border: solid 1px #c3c3c3;
    border-radius: 50%;
}
.defaultRadio input[type="radio"] {
    margin: 0;
}
.defaultRadio input[type='radio']:after {
    width: 15px;
    height: 15px;
    border-radius: 15px;
    top: -0px;
    left: -0px;
    position: relative;
    background-color: #e3e3e3;
    content: '';
    display: inline-block;
    visibility: visible;
    border: 2px solid #e3e3e3;
}

.defaultRadio input[type='radio']:checked:after {
    width: 15px;
    height: 15px;
    border-radius: 15px;
    top: 0px;
    left: 0px;
    position: relative;
    background-color: #a8407f;
    content: '';
    display: inline-block;
    visibility: visible;
    border: 2px solid white;
}
*/

.radioBtnCustom.container_check .checkmark {
    border-radius: 50%;
    height: 16px;
    width: 16px;
}
.radioBtnCustom.container_check .checkmark:after {
    left: 2px;
    top: 2px;
    width: 10px;
    height: 10px;
    border: 5px solid #a8407f;
    border-radius: 50%;
}


.none {
    display: none;
}

.list-block .bootstrap-select {
    width: 100% !important;
}

.label-first {
    /*margin-left: 30px;*/
    color: #555555;
}

.label-control-purple {
    color: #a8407f;
    font-family: 'DIN Medium';
}

.form-horizontal .label-row {
    margin-right: -15px;
    margin-left: -15px;
    margin-bottom: 5px;
}

.option-checkbox {
    position: relative;
    padding-left: 30px;
    padding-top: 7px;
}


/*.option-checkbox .checkbox-style {
width: 18px;
height: 18px;
display: block;
position: absolute;
top: 6px;
left: 0;
-webkit-appearance: none;
-moz-appearance: none;
-o-appearance: none;
-ms-appearance: none;
margin: 0px !important;
z-index: 5;
opacity: 0;
}
.option-checkbox input[type="checkbox"]:not(:checked) + span::before, .option-checkbox input[type="checkbox"] + span::before  {
	content: "";
	position: absolute;
	top: 6px;
	left: 0;
	display: block;
	width: 18px;
	height: 18px;
	background: #e3e3e3;
	border-radius:2px;
	z-index: 1;
	border:solid 1px #c3c3c3;
}*/


/*.option-checkbox input[type="checkbox"]:checked + span::after {
	font-family: 'Glyphicons Halflings';
	content: "\e013";
	position: absolute;
	top:8px;
	left: 3px;
	display: block;
	width: 10px;
	height: 10px;
	z-index: 2;
	font-size: 12px;
	color: #a8407f;
}*/

.btn.btn-purple {
    color: #fff;
    background-color: #a8407f;
    border-color: #a8407f;
    height: 40px;
    text-transform: uppercase;
    font-size: 18px;
    font-family: 'DIN Medium';
    padding-left: 20px;
    padding-right: 20px;
    outline: none;
}

.btn-min {
    min-width: 30%;
}

.form-footer {
    /*padding: 40px 0 60px 0;*/
    padding: 20px 0 20px 0;
}

.form-control.datepicker,
.form-control {
    background: #f0f0f0;
    border: none !important;
    box-shadow: none !important;
    color: #777777;
    padding-left: 10px !important;
}

.input-group.date>.input-group-addon {
    border: none !important;
    background: #f5f5f5;
}

.userWel {
    margin-bottom: 50px;
}

.col-half {
    width: 70%;
    margin: 0 auto;
}

.mobile_only {
    display: none;
}

.dis_table {
    display: table;
    width: 100%;
}

.dis_cell {
    display: table-cell;
    padding: 0 2px;
    vertical-align: top;
}

.colLabel_mob {
    display: none;
}

.cell_pad {
    padding: 0 10px;
}

.max_width_230 {
    max-width: 230px;
}

.input_inline {
    display: inline !important;
}

.text_center_250 {
    text-align: center;
    width: 250px;
}

.error-messages {
    visibility: hidden;
}

.qustion_header_label {
    /*width: 30% !important;*/
    /*margin-left: 6.5%;*/
    text-align: left !important;
    width: auto !important;
}

.qustion_header_value {
    width: 63%;
    text-align: left !important;
}
my-date-picker.ng-untouched.ng-pristine.ng-valid {
    height: 40px;
    margin: 0 0 15px 0;
    display: block;
}
.mydp, .mydp .headertodaybtn {
    border: 0px solid #CCC !important;
}
.mydp .selectiongroup {
    background-color: #eee !important;
    height: 40px;
}
.mydp .selectiondisabled {
    opacity: 1;
}
button.btnpicker.btnpickerdisabled {
    background: #ddd;
}


.qesAnsTable{
    float: left;
    width: 100%;
    color: #555555;
    font-family: 'DIN Regular';
    font-size: 13px;
    line-height: 18px;
}
.yourAnsPart {
    float: left;
    width: 60%;
}
.yourAnsPart .question {
    float: left;
    width: 100%;
    font-family: 'DIN Bold';
}
.yourAnsPart label {
    float: left;
    width: 100%;
    font-size: 12px;
    color: #4282be;
    margin: 0 0 2px 0;
}
.yourAnsTextarea {
    float: left;
    width: 80%;
    background: #F0F0F0;
    border: solid 1px #F0F0F0;
    border-radius: 3px;
    padding: 4px 8px;
    min-height: 79px;
    max-height: 150px;
    word-break: break-word;
    overflow: auto;
    outline: none;
    font-family: 'DIN Regular';
    font-size: 13px;
    line-height: 18px;
    color: #000;
}
[contenteditable] {
    outline: 0px solid transparent;
}
.othersAnsPart {
    float: right;
    /*width: 35%;
    margin: 0 0 0 5%;*/
    width: 70%;
    margin: 0 0 0 0%;
}
.othersAnsPart .mat-expansion-panel {
   background: #F0F0F0 !important;
   box-shadow: none !important;
   border-radius: 5px !important;
   margin: 5px 0 0 0 !important;
}

.mat-expansion-panel:not(.mat-expanded):not([aria-disabled=true]) .mat-expansion-panel-header:hover {
    background: #F0F0F0 !important;
}
.othersAnsPart .mat-expansion-panel-header {
    padding: 0 14px !important;
    height: 38px !important;
}
.othersAnsPart .mat-expansion-panel-header-title {
    font-family: 'DIN Regular';
    font-size: 13px;
    color: #4282be !important;
    line-height: 18px;
}
.othersAnsPart .mat-expansion-panel-header-title span {
    font-size: 11px;
    color: #999 !important;
    padding: 0 0 0 5px;
}
.othersAnsPart .mat-expansion-panel-body {
    padding: 0 14px 12px;
    font-family: 'DIN Regular';
    font-size: 13px;
    color: #000;
    line-height: 18px;
}
.othersAnsPart .mat-expansion-panel-body p {
    margin: 0 !important;
}
.question_main_row {
    float: left;
    width: 100%;
}
.question_main_row .question {
    float: left;
    width: 100%;
    font-family: 'DIN Bold';
    font-size: 14px;
    margin: 0 0 15px 0;
}
.answers_main_row {
    float: left;
    width: 100%;
    /* display: flex; */
}

.matrix_qus_ans {
    float: left;
    width: 100%;
}
.border_bottom_row {
    float: left;
    width: 100%;
    border-bottom: solid 1px #eee;
    margin: 15px 0 10px 0;
}


.qesAnsTable .yourAnsGroup {
    float: left;
    width: 60%;
}
.matrix_question {
    float: left;
    font-family: 'DIN Medium';
    font-size: 13px;
    /*margin: 5px 0;
    width: 100%;*/
    margin: 0px 3% 5px 0;
    width: 27%;

}
.matrix_answers {
    float: left;
    /*width: 100%;*/
    width: 70%;
    padding-left: 0px;
    padding-right: 0px;
}
.matrix_answers .child-table-cell {
    min-width: 10%;
    /*padding-bottom: 10px;*/
    padding-top: 4px;
}
.matrix_answers .option-radio-inline {
    margin: 5px 0;
    /*display: inline-block;*/
    padding-left: 23px;
    padding-right: 10px;
}
.matrix_answers .container_check {
    /*margin: 5px 0;*/
    /*display: inline-block;*/
    padding-right: 10px;
}
.myAnsTextarea {
    float: left;
    width: 80%;
    background: #F0F0F0;
    border: solid 1px #F0F0F0;
    border-radius: 3px;
    padding: 4px 8px;
    min-height: 79px;
    max-height: 150px;
    word-break: break-word;
    overflow: auto;
    outline: none;
    font-family: 'DIN Regular';
    font-size: 13px;
    line-height: 18px;
    color: #000;
    margin-top: 5px;
    resize: none;
}
.myAnsTextbox {
    /* float: left;
    width: 80%; */
    background: #F0F0F0;
    border: solid 1px #F0F0F0;
    border-radius: 3px;
    padding: 4px 8px;
    height: 35px;
    outline: none;
    font-family: 'DIN Regular';
    font-size: 13px;
    line-height: 18px;
    color: #000;
    margin-top: 5px;
}
.myAnsDropdown {
    float: left;
    width: 230px;
    background: #F0F0F0;
    border: solid 1px #F0F0F0;
    border-radius: 3px;
    padding: 4px 8px;
    height: 35px;
    outline: none;
    font-family: 'DIN Regular';
    font-size: 13px;
    line-height: 18px;
    color: #000;
    margin-top: 5px;
}
.myAnsDropdown option{
    font-family: 'DIN Regular'!important;

}
.userLoginDetails {
    float: left;
    width: 100%;
    text-align: left;
}
.userLoginDetails .userLoginDetails_heading {
    float: left;
    /* width: 14% !important; */
    margin-bottom: 10px;
    text-align: left;
    color: #555;
    margin: 5px 0;
}
.userLoginDetails .userLoginDetails_value {
    float: left;
    width: 25% !important;
    margin-bottom: 10px;
    text-align: left;
    font-family: 'DIN Regular';
    margin: 5px 0;
    margin-right: 10px;
    word-wrap: break-word;
}
.matrix_answers label {
    /*display: unset;*/
}

.fixedBTN {
    position: fixed;
    right: 0;
    padding: 0;
    margin: 0;
    z-index: 9999;;
}
.fixedBTN .btn {
    border-radius: 4px 0px 0px 4px;
}
.fixedBTN .btn:hover {
    background: #494949;
    border-color: #494949;
}
.fixedBTN_save {
    bottom: 140px;
}
.fixedBTN_submit {
    bottom: 90px;
}
.fixedBTN_print {
    bottom: 40px;
}
.fixedBTN_submit .btn {
    background: #395DAB;
    border-color: #395DAB;
}
.fixedBTN_print .btn {
    background: #494949;
    border-color: #494949;
}
label.colLabel_mob {
    display: none;
}
.matrix_answers .colLabel {
    /*width: 100%;
    float: left;*/
    font-family: 'DIN Medium';
    font-size: 13px;
    line-height: 16px;
    /*color: #aaa;*/
    text-transform: capitalize;
}
.alert-success {
    border-color: #c2d8b0;
}
.alert-danger {
    border-color: #d6bdc1;
}
.linkQuestion {
    float: left;
    width: 95%;
    padding: 0 0 0 5%;
}
.linkQuestion .question {
    font-family: 'DIN Medium';
    font-size: 14px;
    margin: 0 0 8px 0;
}

.othersAnsPart .mat-expansion-panel-body .linkQuestion {
    margin: 5px 0 5px 0;
}
.othersAnsPart .mat-expansion-panel-body .question {
    font-family: 'DIN Regular';
    font-size: 11px;
    color: #666;
}
.othersAnsPart .mat-expansion-panel-body .linkQueAns {
    font-family: 'DIN Bold';
    font-size: 12px;
    color: #666;
}
.matrix_answers .matrix_answers_table .matrix_answers_table_cell {
    flex: 0 0 auto; /* Allow cells to shrink and grow as needed */
    min-width: 200px; /* Set a minimum width for each cell */
    margin-right: 10px; /* Add some spacing between cells */
}
.matrix_answers .matrix_answers_table .matrix_answers_table_cell.two-col {
    margin: 0 3% 2% 0;
    width: 47%;
}
.matrix_answers .matrix_answers_table .matrix_answers_table_cell.one-col {
    margin: 0 3% 2% 0;
    width: 97%;
}
.matrix_answers .matrix_answers_table .matrix_answers_table_cell .help_text {
    /*width: 100%;
    float: left;*/
}

.matrix_answers .matrix_answers_table{
    display: flex;
    white-space: nowrap;
}
.matrix_qus_ans_full .matrix_answers{
    width: 100%;
}
.matrix_answers{
    overflow: auto;
    padding-bottom:15px;
}
.matrix_answers .myAnsTextarea{
    min-width: 260px;
}
.matrix_answers .myAnsTextbox{
    border: solid 1px #F0F0F0!important;
    width: 230px;
}
.matrix_answers .myAnsTextarea:focus,
.myAnsTextbox:focus {
    border-color: #a8407f!important;
}
/* responsive media query */
@media only screen and (max-width: 1023px) {
    .alt-body {
        padding: 0 10px;
    }
    .userLoginDetails .userLoginDetails_heading {
        width: 25% !important;
    }
    .userLoginDetails .userLoginDetails_value {
        width: 75% !important;
        word-break: break-all;
    }


    .yourAnsPart {
        width: 100%;
    }
    .yourAnsPart .yourAnsTextarea {
        width: 100%;
    }
    .othersAnsPart {
        width: 100%;
        margin: 0;
    }
    .matrix_qus_ans {
        width: 100%;
        margin-bottom: 0;
    }
    .myAnsTextarea {
        width: 100%;
        margin-bottom: 0;
    }
    .myAnsTextbox {
        width: 100%;
        margin-bottom: 0;
    }
    .myAnsDropdown {
        width: 100%;
        margin-bottom: 0;
    }
}

@media only screen and (max-width: 767px) {
    .matrix_question,
    .matrix_answers{
        width: 100%;
    }
    .matrix_answers .matrix_answers_table{
        display: grid;
    }
    .matrix_answers .myAnsTextbox{
        width: 100%;
    }
    .matrix_answers .dis_cell{
        padding-left: 5px;
        padding-right: 5px;
    }
    .matrix_answers  .dis_cell.cell_pad{
        padding-left: 10px;
        padding-right: 10px;
    }
    .colLabel {
        display: none;
    }
    .colLabel_mob {
        display: block;
    }
    .dis_cell {
        display: block;
    }
    .alt-body {
        /*margin-top: -30px;*/
        padding: 0px;
    }
    .alt-box-inner {
        padding: 10px;
    }
    .form-control,
    .dropdown-11,
    .option-radio-inline,
    .option-checkbox,
    .input-group {
        margin-bottom: 15px;
    }
    .form-group {
        margin-bottom: 0px;
    }
    .form-horizontal .label-control {
        margin: 5px 0 5px 0px;
    }
    .label-first {
        margin-left: 0px;
    }
    .form-footer {
        padding: 0px 0 20px;
    }
    .btn-min {
        min-width: 100%;
    }
    .userLoginDetails .userLabel {
        width: 100%;
        float: left;
        display: inline-block;
        text-align: left;
        margin: 0px;
    }
    .userDetailText {
        margin-bottom: 10px;
        clear: both;
    }
    .logOut {
        margin: 30px 0;
    }
    .userLoginDetails {
        /*width: 85%;*/
        width: 100%;
        float: left;
    }
    .alt-banner .banner-heading {
        padding: 10px 0;
        font-size: 14px;
        line-height: 14px;
    }
    .alt-banner img {
        /*width: 100%;*/
        /*min-height: 120px;*/
    }
    .col-half {
        width: 100%;
    }
    .mobile_only {
        display: block;
        padding-top: 10px;
    }
    .qustion_header_label {
        width: 100% !important;
        margin-left: 0;
    }
    .qustion_header_value {
        width: 100%;
    }


    .userLoginDetails .userLoginDetails_heading {
        width: 40% !important;
    }
    .userLoginDetails .userLoginDetails_value {
        width: 60% !important;
        word-break: break-all;
    }
    .matrix_answers .child-table-cell {
        min-width: 20%;
    }
}

@media only screen and (max-width: 480px) {
    .alt-header {
        padding: 10px 0;
    }
    .company-logo,
    .business-logo {
        display: table;
        width: 100px;
        height: 30px;
    }
    .company-logo a img,
    .business-logo a img {
        max-width: 100px;
        max-height: 30px;
    }
    .client-logo .client-logo-inner {
        display: table;
        width: 100px;
        margin: 0 auto;
        height: 30px;
    }
    .client-logo .client-logo-inner a img {
        max-height: 30px;
        max-width: 80px;
    }
    .col-half {
        width: 100%;
    }
    .userWel {
        margin-bottom: 30px;
    }
}

.alt-footer {
    padding: 10px 15px;
    background-color: #fff;
    border-top: solid 1px #a8407f;
    font-family: 'DIN Medium';
    font-size: 13px;
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    height: 60px;
}

.alt-footer:after,
.alt-footer:before {
    content: "";
    display: table;
    clear: both;
    visibility: hidden;
}

.playstoreOuter .appStoreIcons {
    display: inline-block;
    padding: 0px 10px;
}

.playstoreOuter a {
    display: inline-block;
    border: none;
    outline: none;
}

.copyright {
    line-height: 38px;
}

.surveyWCP .form-control {
    margin-bottom: 15px;
}

.child-table-cell {
    display: table-cell;
    min-width: 33.33%;
    float: left;
}
.child-table-cell .container_check.radioBtnCustom,
.matrix_answers_table_cell .container_check{
    line-height: 15px;
}

html {
    min-height: 100%;
    position: relative;
}

.text-container {
    margin: 40px auto !important;
}

.text-container.loader-ring {
    z-index: 99999;
    margin: 10% auto !important;
}

.text-container h1 {
    padding-bottom: 5px;
}

textarea[disabled],
textarea[readonly] {
    background: #eee;
    border: #eee;
    resize: none;
    cursor: not-allowed;
}


/***************** custom checkbox css start *****************/

.container_check {
    display: block;
    position: relative;
    padding-left: 21px;
    margin-right: 7px;
    cursor: pointer;
    font-size: 12px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    line-height: 18px;
    float: left;
}

.container_check input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 15px;
    width: 15px;
    background-color: #fff;
    border: solid 1px #ccc;
    border-radius: 3px;
}

.container_check:hover input~.checkmark {
    /*background-color: #ccc;*/
}

.container_check input:checked~.checkmark {
    /*background-color: #a8407f;*/
    background-color: #fff;
    border: solid 1px #a8407f;
}

.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

.container_check input:checked~.checkmark:after {
    display: block;
}

.container_check .checkmark:after {
    left: 4px;
    top: 1px;
    width: 4px;
    height: 8px;
    border: solid #a8407f;
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.container_check input:disabled~.checkmark {
    background: #ddd;
    border-color: #ddd;
    cursor: not-allowed;
}

.container_check input:disabled~.checkmark:after {
    border-color: #a8407f;
}

.container_check .checkmark:after {
    top: 2px;
}​​​​​
/*******e********** custom checkbox css end *****************/

.matrix_answers .mat-form-field-appearance-fill .mat-form-field-flex {
    padding: 0;
}
.matrix_answers .mat-form-field-appearance-fill .mat-form-field-infix {
    padding: 0;
    height: 33px;
    margin: 0 0 0 10px;
}
.matrix_answers input.mat-input-element {
    margin-top: -0.0625em;
    height: 20px;
}
.mat-form-field-underline {
    display: none;
}

.requred_error {
    float: left;
    width: 100%;
    margin: -5px 0 0 0;
}


.mat_select .mat-select-trigger {
    height: 1.125em;
    line-height: 28px;
}
.mydp .selection {
    background: none !important;
}
.mat-select-value {
    color: #777 !important;
}
.mydp .btnclear, .mydp .btndecrease, .mydp .btnincrease, .mydp .btnpicker, .mydp .headertodaybtn {
    background: none !important;
}
.mat_date_field {
    height: 40px !important;
    margin-bottom: 15px;
    display: block;
}
.mat_date_field input{
    height: 40px !important;
    margin-bottom: 15px;
    padding-left: 10px !important;
    color: #777 !important;
}

.matrix_answers {
    scrollbar-width: thin;
    scrollbar-color: #e3e3e3 transparent;
  }

  /* firefox */

  .matrix_answers {
    scrollbar-width: thin;
    scrollbar-color: $gray--lighter transparent;
  }
  .matrix_answers:-webkit-scrollbar {
    width: 11px;
  }
  .matrix_answers:-webkit-scrollbar-track {
    background: transparent;
  }
  .matrix_answers:-webkit-scrollbar-thumb {
    background-color: $gray--lighter;
    border-radius: 6px;
    border: 3px solid transparent;
  }

  /* webkit browsers */
  .matrix_answers::-webkit-scrollbar,
  .matrix_answers::-webkit-scrollbar-thumb {
    height: 26px;
    border-radius: 13px;
    background-clip: padding-box;
    border: 10px solid transparent;
  }

  .matrix_answers::-webkit-scrollbar-thumb {
    box-shadow: inset 0 0 0 10px;
  }

  @media print{
    .alt-body{
        padding: 0px;
    }
    .alt-box-inner{
        padding: 0px 10px;
    }
}
